> For the complete documentation index, see [llms.txt](https://docs.deltadefi.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.deltadefi.io/start-trading/developers/getting-started/cancel-an-order.md).

# Cancel an order

{% stepper %}
{% step %}

### Build a cancel order transaction

To build a cancel order transaction, simply include its order's ID in the path param payload.

For in-depth API details [Cancel Order](/start-trading/developers/api-documentation/order/build-cancel-order-transaction.md)

{% tabs %}
{% tab title="Curl" %}

```sh
curl --location --request DELETE 'https://api.deltadefi.io/order/fdcd1b64-504f-4504-8000-61b3306f345b/build' \
--header 'x-api-key: <your_api_key>' \
--data ''
```

{% endtab %}

{% tab title="NodeJs (axios)" %}

```javascript
const axios = require('axios');
let data = '';

let config = {
  method: 'delete',
  maxBodyLength: Infinity,
  url: 'https://api.deltadefi.io/order/fdcd1b64-504f-4504-8000-61b3306f345b/build',
  headers: { 
    'x-api-key': '<your_api_key>'
  },
  data : data
};

axios.request(config)
.then((response) => {
  console.log(JSON.stringify(response.data));
})
.catch((error) => {
  console.log(error);
});

```

{% endtab %}

{% tab title="Go" %}

```go
package main

import (
  "fmt"
  "strings"
  "net/http"
  "io"
)

func main() {

  url := "https://api.deltadefi.io/order/fdcd1b64-504f-4504-8000-61b3306f345b/build"
  method := "DELETE"

  payload := strings.NewReader(``)

  client := &http.Client {
  }
  req, err := http.NewRequest(method, url, payload)

  if err != nil {
    fmt.Println(err)
    return
  }
  req.Header.Add("x-api-key", "<your_api_key>")

  res, err := client.Do(req)
  if err != nil {
    fmt.Println(err)
    return
  }
  defer res.Body.Close()

  body, err := io.ReadAll(res.Body)
  if err != nil {
    fmt.Println(err)
    return
  }
  fmt.Println(string(body))
}
```

{% endtab %}
{% endtabs %}

{% endstep %}

{% step %}

### Submit a cancel order transaction

With the returned tx\_hex from step 1, you will need to [sign it](/faq/cardano.md#how-can-i-sign-a-cardano-transaction) before submitting it.

For in-depth API details [Broken mention](broken://pages/X0YE15uuYU3i5me7UgFx)

{% tabs %}
{% tab title="Curl" %}

```sh
curl --location --request DELETE 'https://api.deltadefi.io/order/submit' \
--header 'x-api-key: <your_api_key>' \
--header 'Content-Type: application/json' \
--data '{
    "signed_tx": "<your_api_key>"
}'
```

{% endtab %}

{% tab title="NodeJs (axios)" %}

```javascript
const axios = require('axios');
let data = JSON.stringify({
  "signed_tx": "<your_api_key>"
});

let config = {
  method: 'delete',
  maxBodyLength: Infinity,
  url: 'https://api.deltadefi.io/order/submit',
  headers: { 
    'x-api-key': '<your_api_key>', 
    'Content-Type': 'application/json'
  },
  data : data
};

axios.request(config)
.then((response) => {
  console.log(JSON.stringify(response.data));
})
.catch((error) => {
  console.log(error);
});

```

{% endtab %}

{% tab title="Go" %}

```go
package main

import (
  "fmt"
  "strings"
  "net/http"
  "io"
)

func main() {

  url := "https://api.deltadefi.io/order/submit"
  method := "DELETE"

  payload := strings.NewReader(`{
    "signed_tx": "<your_api_key>"
}`)

  client := &http.Client {
  }
  req, err := http.NewRequest(method, url, payload)

  if err != nil {
    fmt.Println(err)
    return
  }
  req.Header.Add("x-api-key", "<your_api_key>")
  req.Header.Add("Content-Type", "application/json")

  res, err := client.Do(req)
  if err != nil {
    fmt.Println(err)
    return
  }
  defer res.Body.Close()

  body, err := io.ReadAll(res.Body)
  if err != nil {
    fmt.Println(err)
    return
  }
  fmt.Println(string(body))
}
```

{% endtab %}
{% endtabs %}
{% endstep %}
{% endstepper %}

***

### Related FAQ

* [How can I sign a Cardano transaction?](/faq/cardano.md#how-can-i-sign-a-cardano-transaction)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.deltadefi.io/start-trading/developers/getting-started/cancel-an-order.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
